package com.heyu.api.data.service.vv;
/**
* <p>
* 推广码 服务类
* </p>
*
* @author quyixiao
* @since 2025-12-26
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.vv.VvPromoterCodeEntity;
public interface VvPromoterCodeService extends IService<VvPromoterCodeEntity> {



	VvPromoterCodeEntity selectVvPromoterCodeById(Long id);


	Long insertVvPromoterCode(VvPromoterCodeEntity vvPromoterCode);


	Long insertOrUpdateVvPromoterCode(VvPromoterCodeEntity vvPromoterCode);


	int updateVvPromoterCodeById(VvPromoterCodeEntity vvPromoterCode);


	int updateCoverVvPromoterCodeById(VvPromoterCodeEntity vvPromoterCode);


	int deleteVvPromoterCodeById(Long id);


}